unit fmain;

{$mode objfpc}{$H+}

interface

uses
  Classes,
  Forms,
  Controls,
  StdCtrls,
  ZConnection;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    btnConnectDisconnect: TButton;
    conEmployee: TZConnection;
    procedure btnConnectDisconnectClick(Sender: TObject);
    procedure conEmployeeAfterConnect(Sender: TObject);
    procedure conEmployeeBeforeConnect(Sender: TObject);
  private

  public

  end;

var
  frmMain: TfrmMain;

implementation

uses
  SysUtils;

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.btnConnectDisconnectClick(Sender: TObject);
begin
  if conEmployee.Connected then
  begin
    conEmployee.Disconnect;
    btnConnectDisconnect.Caption := 'Connect';
  end
  else
  begin
    conEmployee.Connect;
    btnConnectDisconnect.Caption := 'Disconnect';
  end;
end;

procedure TfrmMain.conEmployeeAfterConnect(Sender: TObject);
begin
  conEmployee.User := EmptyStr;
  conEmployee.Password := EmptyStr;
end;

procedure TfrmMain.conEmployeeBeforeConnect(Sender: TObject);
var
  User, Password: string;
begin
  User := 's';
  User := User + 'y';
  User := User + 's';
  User := User + 'd';
  User := User + 'b';
  User := User + 'a';
  Password := 'm';
  Password := Password + 'a';
  Password := Password + 's';
  Password := Password + 't';
  Password := Password + 'e';
  Password := Password + 'r';
  Password := Password + 'k';
  Password := Password + 'e';
  Password := Password + 'y';
  conEmployee.User := User;
  conEmployee.Password := Password;
  //conEmployee.User := 'sysdba';
  //conEmployee.Password := 'masterkey';
end;

end.

